## org.hornetq.rest.topic
Class TopicServiceManager

    java.lang.Object
      org.hornetq.rest.queue.DestinationServiceManager
          org.hornetq.rest.topic.TopicServiceManager

    public class TopicServiceManager

extends DestinationServiceManager

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected TopicDestinationsResource` `destination`
`protected TopicPushStore` `pushStore`
`protected java.util.List<TopicDeployment>` `topics`

Fields inherited from class org.hornetq.rest.queue.DestinationServiceManager
`consumerServerLocator, consumerSessionFactory, defaultSettings, linkStrategy, locator, producerPoolSize, pushStoreFile, registry, sessionFactory, started, timeoutTask`

Constructor Summary
`TopicServiceManager()`

Method Summary
`void` `deploy(TopicDeployment topicDeployment)`
`TopicDestinationsResource` `getDestination()`
`TopicPushStore` `getPushStore()`
`java.util.List<TopicDeployment>` `getTopics()`
`void` `setDestination(TopicDestinationsResource destination)`
`void` `setPushStore(TopicPushStore pushStore)`
`void` `setTopics(java.util.List<TopicDeployment> topics)`
`void` `start()`
`void` `stop()`

Methods inherited from class org.hornetq.rest.queue.DestinationServiceManager

`getConsumerServerLocator, getConsumerSessionFactory, getDefaultSettings, getLinkStrategy, getProducerPoolSize, getPushStoreFile, getRegistry, getServerLocator, getSessionFactory, getTimeoutTask, initDefaults, setConsumerServerLocator, setConsumerSessionFactory, setDefaultSettings, setLinkStrategy, setProducerPoolSize, setPushStoreFile, setRegistry, setServerLocator, setSessionFactory, setTimeoutTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pushStore

    protected TopicPushStore pushStore

### topics

    protected java.util.List<TopicDeployment> topics

### destination

    protected TopicDestinationsResource destination

Constructor Detail

### TopicServiceManager

    public TopicServiceManager()

Method Detail

### getPushStore

    public TopicPushStore getPushStore()

### setPushStore

    public void setPushStore(TopicPushStore pushStore)

### getTopics

    public java.util.List<TopicDeployment> getTopics()

### setTopics

    public void setTopics(java.util.List<TopicDeployment> topics)

### getDestination

    public TopicDestinationsResource getDestination()

### setDestination

    public void setDestination(TopicDestinationsResource destination)

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in class `DestinationServiceManager`
  Throws:
    `java.lang.Exception`

### deploy

    public void deploy(TopicDeployment topicDeployment)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in class `DestinationServiceManager`

Copyright © 2013. All Rights Reserved.